﻿using System;
using System.Runtime.Serialization;

namespace NConfigGenerator
{
    [Serializable]
    public class InferenceException : Exception
    {
        public InferenceException()
        {
        }

        public InferenceException(string message)
            : base(message)
        {
        }

        public InferenceException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        protected InferenceException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}